#include <iostream>

using namespace std;

int main()
{
    int t;
    cin >> t;
    int daNe[t]; //ako moze 1 ako ne moze 0
    for (int i = 0; i < t; i++) {
        int n, m, k;
        cin >> n >> m >> k;
        if (k > 1) { //ako ima vise grupa sve ostale imaju 1 ucenika sa 1 bananicom i mogu dobiti ostatak
            m -= k - 1;
            n -= k - 1;
            k = 1;
        }
        int brBananica = (n * (n+1)) / 2; //br bananica gde svako ima od 1 do n po 1 vise
        m -= brBananica;
        if (m < 0) { //ako nema bananica za podelu ide Nie
            daNe[i] = 0;
        } else { //ako ima onda ucenik sa najvise moze dobiti sve ostale
            daNe[i] = 1;
        }
    }

    for (int j = 0; j < t; j++) { //izlazi da li moze ili ne
        if (daNe[j] == 1) {
            cout << "Tak" << endl;
        } else {
            cout << "Nie" << endl;
        }
    }

    return 0;
}